@import "vars"

.file-attach

  &__inputfile
    width: 0.1px
    height: 0.1px
    opacity: 0
    overflow: hidden
    position: absolute
    z-index: -1
    &:focus
      .file-attach__label
        outline: 1px dotted #000
        outline: -webkit-focus-ring-color auto 5px

  &__label
    padding: 4px
    width: 30px
    height: 30px
    display: block
    position: relative

    &::after
      content: ""
      background: url("../img/paper-clip-outline.svg") no-repeat
      background-size: cover
      width: 100%
      height: 100%
      display: block
      cursor: pointer

.messages
  display: flex
  flex-direction: column
  justify-content: space-between
  background-color: $bgColor
  height: 100%
  width: 100%
  &__list
    padding: 40px 3%
    overflow-y: auto
    height: 100%

  &__date
    text-align: center
    display: block
    color: lighten($syberryRed, 30%)
    font-size: 1em
    margin-bottom: 3em



.message
  display: flex
  align-items: flex-end
  margin-bottom: 3.0em

  //Your message
  &_yours
    flex-direction: row-reverse
    & .message__userpic + .message__block
      margin-left: 0
      margin-right: 1.2em
    & .message__item
      background-color: $syberryRed
      color: #ffffff

  //User name
  &__name
    margin-top: 10px
    font-weight: bold
    color: $syberryRed
    margin-bottom: 0
    line-height: 1.0

  //User picture
  &__userpic
    width: $userpicSz
    height: $userpicSz
    & > img
      width: 100%
      height: 100%

    & + .message__block
      margin-left: 1.2em

  //Block of messages of one user
  &__block
    max-width: 70%
  &__item
    background-color: $messageDefaultBg
    border-radius: 6px
    font-size: 1.2em
    color: $messageText
    padding: 5px 1em
    width: fit-content
    & + .message__item
      margin-top: 4px

  // Message input
  &-input
    background-color: $messageInput
    padding: 14px
    border-top: 1px solid $borderColor
    display: flex
    align-items: center
    &__control
      border: none
      background-color: $messageInput
      caret-color: $messagesInputAccent
      flex-basis: 100%
      padding-left: 15px
      &:focus
        outline: none
    &__btn
      background: none
      border: none
      font-weight: bold
      color: $messagesInputAccent
      text-transform: uppercase
      width: 50px
      height: 45px
      position: relative

      &:focus
        animation: glowwhite .5s linear
      //&::after
      //  content: ""
      //  background: url("../img/send-button.svg") no-repeat
      //  background-size: cover
      //  display: block
      //  height: 40px
      //  width: 40px


      &:focus, &:active
        outline: none
